<?php
namespace Modules\Panier\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class ImportLigne
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function index(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxChangeDef(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function listeFormat(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function updateFavorisFormat(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function import(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function journalImport(): bool
    {
        return true;
    }
}
